#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream fi("bai3_18.inp");
    ofstream fo("bai3_18.out");
    int64_t k;
    fi>>k;
    string s;
    fi>>s;
    k%=s.length();
    for(int i=s.length()-k;i<s.length();i++)
    {
        fo<<s[i];
    }
    for(int i=0;i<s.length()-k;i++)
    {
        fo<<s[i];
    }
}
